Bug 1213434 - Provide more usable downtime statistics without requiring NTP
Summary: Provide more usable downtime statistics without requiring NTP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 7.2
Assignee: Jiri Denemark
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 970711
TreeView+ depends on / blocked
 
Reported: 2015-04-20 14:38 UTC by Jiri Denemark
Modified: 2015-11-19 06:29 UTC (History)
6 users (show)

Fixed In Version: libvirt-1.2.15-1.el7
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 06:29:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:2202 0 normal SHIPPED_LIVE libvirt bug fix and enhancement update 2015-11-19 08:17:58 UTC

Description Jiri Denemark 2015-04-20 14:38:22 UTC
Description of problem:

virDomainGetJobStats is able to report statistics of a completed migration, however to get usable downtime and total time statistics both hosts have to keep synchronized time. To provide at least some estimation of the times even when NTP daemons are not running on both hosts we could just ignore the time needed to transfer a migration cookie to the destination host. The result will be also inaccurate but a bit more predictable. The total/down time will just be at least what we report.

Version-Release number of selected component (if applicable):

1.2.14-1.el7

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Jiri Denemark 2015-04-23 09:18:55 UTC
Sent upstream for review: https://www.redhat.com/archives/libvir-list/2015-April/msg01114.html

Comment 2 Jiri Denemark 2015-04-23 09:19:45 UTC
Oops, I didn't meant to remove the keyword...

Comment 3 Jiri Denemark 2015-04-24 13:16:46 UTC
Implemented upstream by v1.2.14-293-gaa9f139:

commit aa9f13959972c057a6028cfd4d58b6daaa6e1d8f
Author: Jiri Denemark <jdenemar@redhat.com>
Date:   Thu Apr 23 09:19:12 2015 +0200

    migration: Usable time statistics without requiring NTP
    
    virDomainGetJobStats is able to report statistics of a completed
    migration, however to get usable downtime and total time statistics both
    hosts have to keep synchronized time. To provide at least some
    estimation of the times even when NTP daemons are not running on both
    hosts we can just ignore the time needed to transfer a migration cookie
    to the destination host. The result will be also inaccurate but a bit
    more predictable. The total/down time will just be at least what we
    report.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1213434

Comment 5 zhe peng 2015-07-28 10:10:53 UTC
verify with build:
libvirt-1.2.17-2.el7.x86_64

step:
1:prepare migration env. use nfs to share storage.
 stop NTP on both hosts
#systemctl status ntpd
 ntpd.service - Network Time Service
   Loaded: loaded (/usr/lib/systemd/system/ntpd.service; disabled; vendor preset: disabled)
   Active: inactive (dead)

2:set source host's time later than target
3:do migration
# virsh migrate --live rhel6 qemu+ssh://$target_ip/system --verbose
Migration: [100 %]
4: on target, check migration statistics
# virsh domjobinfo rhel6 --completed
Job type:         Completed   
Time elapsed:     2428         ms
Data processed:   2.283 MiB
Data remaining:   0.000 B
Data total:       628.383 MiB
Memory processed: 2.283 MiB
Memory remaining: 0.000 B
Memory total:     628.383 MiB
Memory bandwidth: 1.236 MiB/s
Constant pages:   160666      
Normal pages:     231         
Normal data:      924.000 KiB
Total downtime:   171          ms
Setup time:       2            ms
5: on source , check info too
# virsh domjobinfo rhel6 --completed
Job type:         Completed   
Time elapsed:     2428         ms
Data processed:   2.283 MiB
Data remaining:   0.000 B
Data total:       628.383 MiB
Memory processed: 2.283 MiB
Memory remaining: 0.000 B
Memory total:     628.383 MiB
Memory bandwidth: 1.236 MiB/s
Constant pages:   160666      
Normal pages:     231         
Normal data:      924.000 KiB
Total downtime:   171          ms
Setup time:       2            ms

move to verified.

Comment 7 errata-xmlrpc 2015-11-19 06:29:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2202.html


Note You need to log in before you can comment on or make changes to this bug.